summaryrefslogtreecommitdiff
path: root/dev-python/pygit2/pygit2-1.9.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-25 12:41:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-25 12:41:44 +0000
commit689a865f2e1044a4bf1c8fdceab47c4d87a282c0 (patch)
tree14cd1aab233010630750ccb86d90e3741a83fa82 /dev-python/pygit2/pygit2-1.9.2.ebuild
parent4fdeebf08b9afa9ef1e1e0f79862aa4e1e2471f3 (diff)
downloadbaldeagleos-repo-689a865f2e1044a4bf1c8fdceab47c4d87a282c0.tar.gz
baldeagleos-repo-689a865f2e1044a4bf1c8fdceab47c4d87a282c0.tar.xz
baldeagleos-repo-689a865f2e1044a4bf1c8fdceab47c4d87a282c0.zip
Adding metadata
Diffstat (limited to 'dev-python/pygit2/pygit2-1.9.2.ebuild')
-rw-r--r--dev-python/pygit2/pygit2-1.9.2.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/pygit2/pygit2-1.9.2.ebuild b/dev-python/pygit2/pygit2-1.9.2.ebuild
new file mode 100644
index 000000000000..25f5c2ac9b76
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.9.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="
+ https://github.com/libgit2/pygit2/
+ https://pypi.org/project/pygit2/
+"
+SRC_URI="
+ https://github.com/libgit2/pygit2/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+DEPEND="
+ =dev-libs/libgit2-1.4*:=
+"
+BDEPEND="
+ >=dev-python/cffi-1.9.1:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+ ${BDEPEND}
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unconditionally prevent it from using network
+ sed -i -e '/has_network/s:True:False:' test/utils.py || die
+}
+
+src_test() {
+ rm -r pygit2 || die
+ distutils-r1_src_test
+}